package jp.sourceforge.cfneo.at4ie.api.impl.ie.invoker;

import org.apache.log4j.Logger;

import jp.sourceforge.cfneo.at4ie.api.AT4IEAssertException;
import jp.sourceforge.cfneo.at4ie.api.Context;
import jp.sourceforge.cfneo.at4ie.api.Invoker;
import jp.sourceforge.cfneo.at4ie.api.TargetBrowser;
import jp.sourceforge.cfneo.at4ie.api.TestCase;

/**
 * assertSelected
 * ドロップダウンにおいて選択されたoption がoption 識別子を満たすか検証します。
 * @author imaitakafumi
 *
 */
public class AssertSelectedInvoker extends Invoker {

	Logger logger = Logger.getLogger(AssertSelectedInvoker.class);

	/**
	 * コンストラクタ。
	 * @param context
	 * @param browser
	 */
	public AssertSelectedInvoker(Context context, TargetBrowser browser) {
		super(context, browser);
	}

	@Override
	public void invoke(TestCase testCase) throws AT4IEAssertException {
		String expected = testCase.getValue();
		String actual = this.getBrowser().getSelectedValueById(testCase.getElementValue());
		logger.debug("AssertAlertInvoker#invoke testCase=" + testCase.toString()
				+ " expected=[" + expected + "]/actual=[" + actual + "]");
		if (expected.equals(actual) == false) {
			throw new AT4IEAssertException(expected, actual);
		}
	}

}
